Storm docs logo
Search the docs.../
Explore Storm Products

Get Possible Values

Request for retrieving the list of possible values for regionId and countdownTimezone.

Request

PropertyValue
MethodGET
URLhttps://api.stormstreaming.com/api/request/stream/create-possible-values
Authenticationx-api-key
Request
Code iconbash
curl -X GET "https://api.stormstreaming.com/api/request/stream/create-possible-values" \
  -H "x-api-key: YOUR_API_KEY"

Response

ParameterTypeDescription
possibleValues.timezonesstring[]Allowable values for the 'timezone' field during stream creation or when updating basic information
possibleValues.regionsobject[]Allowable values for the 'regionId' field during stream creation or when updating basic information
possibleValues.regions[].idintegerRegion identifier
possibleValues.regions[].namestringRegion name
possibleValues.regions[].coordinatesobjectGeographic coordinates (lat, lon)
possibleValues.isTranscodingEnabledbooleanDetermines if transcoding functionality is enabled in your subscription plan
Successful Response (200)
Code iconjson
 {
  "possibleValues": {
    "timezones": [
      "Africa/Abidjan",
      "Africa/Accra",
      "Africa/Addis_Ababa",
      …, //rest of values
      "Pacific/Tarawa",
      "Pacific/Tongatapu",
      "Pacific/Wake",
      "Pacific/Wallis",
      "UTC"
    ],
    "regions": [{
      "id": 1,
      "name": "North America (East Coast)",
      "coordinates": {
        "lat": 40.7128,
        "lon": -74.006
      },
      "url": "1.1.1.1",
      "pos": 1
    },
      {
        "id": 2,
        "name": "North America (West Coast)",
        "coordinates": {
          "lat": 34.0522,
          "lon": -118.2437
        },
        "url": "",
        "pos": 2
      },
      {
        "id": 3,
        "name": "South America",
        "coordinates": {
          "lat": -14.235,
          "lon": -51.9253
        },
        "url": "",
        "pos": 3
      },
      {
        "id": 4,
        "name": "Europe",
        "coordinates": {
          "lat": 51.5074,
          "lon": -0.1278
        },
        "url": "",
        "pos": 4
      },
      {
        "id": 5,
        "name": "Asia Pacific (China)",
        "coordinates": {
          "lat": 39.9042,
          "lon": 116.4074
        },
        "url": "",
        "pos": 5
      },
      {
        "id": 6,
        "name": "Asia Pacific (South Korea)",
        "coordinates": {
          "lat": 37.5665,
          "lon": 126.978
        },
        "url": "",
        "pos": 6
      },
      {
        "id": 7,
        "name": "Asia Pacific (Japan)",
        "coordinates": {
          "lat": 35.6895,
          "lon": 139.6917
        },
        "url": "",
        "pos": 7
      },
      {
        "id": 8,
        "name": "Australia",
        "coordinates": {
          "lat": -25.2744,
          "lon": 133.7751
        },
        "url": "",
        "pos": 8
      },
      {
        "id": 9,
        "name": "Africa",
        "coordinates": {
          "lat": 8.7832,
          "lon": 34.5085
        },
        "url": "",
        "pos": 9
      }
    ],
    "isTranscodingEnabled": true
  }
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.